﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace SimpleSample
{
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public ViewModel()
        {
            Random random = new Random();

            Data = new ObservableCollection<Model>();

            double val = 2;

            for (int i = 1; i <= 10000; i++)
            {
                if (random.NextDouble() > 0.5)
                    val += random.NextDouble();
                else
                    val -= random.NextDouble();

                Data.Add(new Model(i, val));
            }
        }
    }

    public class Model
    {
        public double XValue { get; set; }

        public double YValue { get; set; }

        public Model(double xValue, double yValue)
        {
            XValue = xValue;
            YValue = yValue;
        }
    }
}
